org.apache.commons.mail.resolver

## Class DataSourceClassPathResolver

- java.lang.Object
- - org.apache.commons.mail.resolver.DataSourceBaseResolver
  - - org.apache.commons.mail.resolver.DataSourceClassPathResolver

- All Implemented Interfaces:
    DataSourceResolver

      public class DataSourceClassPathResolver
      extends DataSourceBaseResolver

  Creates a `DataSource` based on an class path.
  Since:
    1.3

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataSourceClassPathResolver()` Constructor
    `DataSourceClassPathResolver(String classPathBase)` Constructor.
    `DataSourceClassPathResolver(String classPathBase, boolean lenient)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClassPathBase()`
    `DataSource` | `resolve(String resourceLocation)` Resolves the given resource location to a `DataSource`.
    `DataSource` | `resolve(String resourceLocation, boolean isLenient)` Resolves the given resource location to a `DataSource`.

    - ### Methods inherited from class org.apache.commons.mail.resolver.DataSourceBaseResolver

      `isCid, isFileUrl, isHttpUrl, isLenient`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataSourceClassPathResolver

          public DataSourceClassPathResolver()

      Constructor

    - #### DataSourceClassPathResolver

          public DataSourceClassPathResolver(String classPathBase)

      Constructor.
      Parameters:
        `classPathBase` - a base class path

    - #### DataSourceClassPathResolver

          public DataSourceClassPathResolver(String classPathBase,
                                             boolean lenient)

      Constructor.
      Parameters:
        `classPathBase` - a base class path
        `lenient` - shall we ignore resources not found or throw an exception?

  - ### Method Detail

    - #### getClassPathBase

          public String getClassPathBase()

      Returns:
        the classPathBase

    - #### resolve

          public DataSource resolve(String resourceLocation)
                             throws IOException

      Resolves the given resource location to a `DataSource`.
      Parameters:
        `resourceLocation` - the location of the resource
      Returns:
        the `DataSource`
      Throws:
        `IOException` - the resource was not found

    - #### resolve

          public DataSource resolve(String resourceLocation,
                                    boolean isLenient)
                             throws IOException

      Resolves the given resource location to a `DataSource`.
      Parameters:
        `resourceLocation` - the location of the resource
        `isLenient` - shall we ignore resources not found or complain with an exception?
      Returns:
        the data source containing the resource or null if the resource was not found in lenient mode
      Throws:
        `IOException` - resolving the resource failed

Copyright © 2001–2017 The Apache Software Foundation. All rights reserved.